
package Geo::EZLocate::Elements::getAccountInfoResponse;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/EZClient.xsd1' }

__PACKAGE__->__set_name('getAccountInfoResponse');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %resultCode_of :ATTR(:get<resultCode>);
my %expiration_of :ATTR(:get<expiration>);
my %maximumRecords_of :ATTR(:get<maximumRecords>);
my %actualRecords_of :ATTR(:get<actualRecords>);
my %accountType_of :ATTR(:get<accountType>);

__PACKAGE__->_factory(
    [ qw(        resultCode
        expiration
        maximumRecords
        actualRecords
        accountType

    ) ],
    {
        'resultCode' => \%resultCode_of,
        'expiration' => \%expiration_of,
        'maximumRecords' => \%maximumRecords_of,
        'actualRecords' => \%actualRecords_of,
        'accountType' => \%accountType_of,
    },
    {
        'resultCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'expiration' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'maximumRecords' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'actualRecords' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'accountType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'resultCode' => 'resultCode',
        'expiration' => 'expiration',
        'maximumRecords' => 'maximumRecords',
        'actualRecords' => 'actualRecords',
        'accountType' => 'accountType',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::getAccountInfoResponse

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
getAccountInfoResponse from the namespace http://ezlocate.na.teleatlas.com/EZClient.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * resultCode

 $element->set_resultCode($data);
 $element->get_resultCode();




=item * expiration

 $element->set_expiration($data);
 $element->get_expiration();




=item * maximumRecords

 $element->set_maximumRecords($data);
 $element->get_maximumRecords();




=item * actualRecords

 $element->set_actualRecords($data);
 $element->get_actualRecords();




=item * accountType

 $element->set_accountType($data);
 $element->get_accountType();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::getAccountInfoResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   resultCode =>  $some_value, # int
   expiration =>  $some_value, # string
   maximumRecords =>  $some_value, # int
   actualRecords =>  $some_value, # int
   accountType =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

