
package Geo::EZLocate::Elements::answerChallenge;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Authentication.xsd1' }

__PACKAGE__->__set_name('answerChallenge');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %encryptedResponse_of :ATTR(:get<encryptedResponse>);
my %originalChallenge_of :ATTR(:get<originalChallenge>);

__PACKAGE__->_factory(
    [ qw(        encryptedResponse
        originalChallenge

    ) ],
    {
        'encryptedResponse' => \%encryptedResponse_of,
        'originalChallenge' => \%originalChallenge_of,
    },
    {
        'encryptedResponse' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'originalChallenge' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'encryptedResponse' => 'encryptedResponse',
        'originalChallenge' => 'originalChallenge',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::answerChallenge

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
answerChallenge from the namespace http://ezlocate.na.teleatlas.com/Authentication.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * encryptedResponse

 $element->set_encryptedResponse($data);
 $element->get_encryptedResponse();




=item * originalChallenge

 $element->set_originalChallenge($data);
 $element->get_originalChallenge();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::answerChallenge->new($data);

Constructor. The following data structure may be passed to new():

 {
   encryptedResponse =>  $some_value, # int
   originalChallenge =>  $some_value, # int
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

